Page MenuHomePhabricator

Jade needs uses of global $wgUser removed
Closed, ResolvedPublic

Event Timeline

DannyS712 triaged this task as Medium priority.Jan 5 2020, 4:49 AM
DannyS712 created this task.
Restricted Application added a project: User-DannyS712. · View Herald TranscriptJan 5 2020, 4:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 562020 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Remove use of global $wgUser (part 1)

https://gerrit.wikimedia.org/r/562020

Change 562020 abandoned by DannyS712:
Remove use of global $wgUser (part 1)

Reason:
Doing differently, cannot rebase

https://gerrit.wikimedia.org/r/562020

Change 563762 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Add constructor for EntityBuilder to pass a user

https://gerrit.wikimedia.org/r/563762

Change 563762 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Add constructor for EntityBuilder to pass a user

https://gerrit.wikimedia.org/r/563762

Change 569295 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Remove use of global $wgUser (part 2)

https://gerrit.wikimedia.org/r/569295

Change 569295 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Remove use of global $wgUser (part 2)

https://gerrit.wikimedia.org/r/569295

Change 570962 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Remove unused PageEntityJudgmentSetStorageTest

https://gerrit.wikimedia.org/r/570962

Change 570962 abandoned by DannyS712:
Remove unused classes and tests

Reason:
I just wanted to remove the use of $wgUser - will resubmit that part later

https://gerrit.wikimedia.org/r/570962

Change 594343 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] TestStorageHelper: Replace createEntity with createNewEntity

https://gerrit.wikimedia.org/r/594343

Change 594343 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] TestStorageHelper: Replace createEntity with createNewEntity

https://gerrit.wikimedia.org/r/594343

Change 595667 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] TestStorageHelper: Replace saveJudgment with updateJudgement

https://gerrit.wikimedia.org/r/595667

Change 595667 abandoned by DannyS712:
TestStorageHelper: Replace saveJudgment with updateJudgement

Reason:
Messed up, will redo when I have a chance

https://gerrit.wikimedia.org/r/595667

DannyS712 removed DannyS712 as the assignee of this task.Jun 7 2020, 2:49 AM
DannyS712 updated the task description. (Show Details)Sep 13 2020, 7:51 PM

Change 626890 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Remove TestStorageHelper::saveJudgment use of $wgUser

https://gerrit.wikimedia.org/r/626890

Change 626891 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Remove TestStorageHelper::makeEdit use of $wgUser

https://gerrit.wikimedia.org/r/626891

Change 626892 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Remove uses of $wgUser in PageEntityProposalSetStorageTest

https://gerrit.wikimedia.org/r/626892

Change 626890 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Remove TestStorageHelper::saveJudgment use of $wgUser

https://gerrit.wikimedia.org/r/626890

Change 626891 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Remove TestStorageHelper::makeEdit use of $wgUser

https://gerrit.wikimedia.org/r/626891

Change 626892 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Remove uses of $wgUser in PageEntityProposalSetStorageTest

https://gerrit.wikimedia.org/r/626892

DannyS712 closed this task as Resolved.Sep 14 2020, 5:29 AM
DannyS712 claimed this task.
DannyS712 removed a project: Patch-For-Review.